Skip to main content
POST
Submit representment plan evidences

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Headers

x-idempotency-key
string<uuid>
required

Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.

Path Parameters

disputeId
string<uuid>
required

Identifier of the resource in Payrails.

Body

application/json
evidences
object[]
required

List of selected representment plan evidence items and target positions. Each position must be unique.

Minimum array length: 1
selectedDefenseReasonCode
string

The provider reason code the merchant wants to defend with. If omitted, the LLM-suggested code from plan generation remains in effect.

userPrompt
string

Additional user prompt to generate representment sections. If not provided, the system will use a default prompt.

Response

Evidence selections saved and representment sections generated.

representmentPlan
object
required

Updated representment plan after selected evidences were stored.

representmentSections
object[]
required

Generated ordered representment sections based on selected evidences (Timeline sections excluded).

timeline
object[]

Deserialized timeline events extracted from the Timeline section, when present.